//+------------------------------------------------------------------+
//|                                                   SymbolInfo.mq5 |
//|                        Copyright 2010, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2010, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---    "" 
   string com="";
//---  
   string symbol=SymbolInfoString(_Symbol,SYMBOL_DESCRIPTION);
   StringAdd(com,": "+symbol);
   StringAdd(com,"\r\n");

//---   
   string symbol_path=SymbolInfoString(_Symbol,SYMBOL_PATH);
   StringAdd(com,": "+symbol_path);
   StringAdd(com,"\r\n");

//---  
   string profit_currency=SymbolInfoString(_Symbol,SYMBOL_CURRENCY_PROFIT);
   StringAdd(com," : "+profit_currency);
   StringAdd(com,"\r\n");

//---  
   string base_currency=SymbolInfoString(_Symbol,SYMBOL_CURRENCY_BASE);
   StringAdd(com," : "+base_currency);
   StringAdd(com,"\r\n");

//---  
   string margin_currency=SymbolInfoString(_Symbol,SYMBOL_CURRENCY_MARGIN);
   StringAdd(com," : "+margin_currency);
   StringAdd(com,"\r\n");
   StringAdd(com,"\r\n");

//---     1 
   double lot_size=SymbolInfoDouble(_Symbol,SYMBOL_TRADE_CONTRACT_SIZE);
   StringAdd(com," : "+DoubleToString(lot_size,2)+" "+margin_currency);
   StringAdd(com,"\r\n");

//---
   double margin_initial=SymbolInfoDouble(_Symbol,SYMBOL_MARGIN_INITIAL);
   StringAdd(com,"      1 : "+DoubleToString(margin_initial,2)+" "+margin_currency);
   StringAdd(com,"\r\n");

//---     
   Comment(com);
  }
//+------------------------------------------------------------------+
